require './lib/studio_game/player'
require './lib/studio_game/game'
require './lib/studio_game/berserk_player'


knuckleheads = StudioGame::Game.new("knuckleheads")

player1 = StudioGame::Player.new("moe")
player2 = StudioGame::Player.new("larry", 60)
player3 = StudioGame::Player.new("curly", 125)

default_player_file = File.join(File.dirname(__FILE__), 'players.csv')
knuckleheads.load_players(ARGV.shift || default_player_file)

knuckleheads.add_player(StudioGame::BerserkPlayer.new("berserker", 50))
loop do
  puts "Start a round of #{knuckleheads.title}? (y/n)"
  answer = gets.chomp

  if answer.start_with?('y')
    knuckleheads.play
  elsif answer.start_with?('n')
    knuckleheads.print_stats
    knuckleheads.save_stats
    break
  else
    puts "Please enter y or n."
  end
end
